Package org.opengis.cite.iso19142.simple

# Class SimpleCapabilitiesTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.simple.SimpleCapabilitiesTests

public class SimpleCapabilitiesTests extends BaseFixture
Tests the service response to a GetCapabilities request for "Simple WFS" conformance. The HTTP GET method must be supported by all conforming implementations.

See Also:
  - "ISO 19142:2010, cl. 8: GetCapabilities operation"

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleCapabilitiesTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkSuitePreconditions(org.testng.ITestContext context)`
  `void`
  `extractEndpoint(org.testng.ITestContext testContext)`
  Extracts the GET request endpoint from the capabilities document.
  `void`
  `getCapabilities_acceptVersions(ProtocolBinding binding)`
  Acceptable versions of the capabilities document are specified in order of preference (10.0.0, 2.0.0, 1.1.0).
  `void`
  `getCapabilities_missingServiceParam()`
  A GET request that omits a mandatory query parameter must produce a response with status code 400 (Bad Request) and an exception report containing the exception code `MissingParameterValue`.
  `void`
  `getFullCapabilities()`
  A minimally valid GetCapabilities request must produce a complete representation of the service capabilities document.

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleCapabilitiesTests

    public SimpleCapabilitiesTests()

- ## Method Details

  - ### checkSuitePreconditions

    @BeforeTest public void checkSuitePreconditions(org.testng.ITestContext context)

  - ### extractEndpoint

    @BeforeClass public void extractEndpoint(org.testng.ITestContext testContext)
    Extracts the GET request endpoint from the capabilities document.
    Parameters:
      `testContext` - The test (set) context.

  - ### getCapabilities_missingServiceParam

    public void getCapabilities_missingServiceParam()
    A GET request that omits a mandatory query parameter must produce a response with status code 400 (Bad Request) and an exception report containing the exception code `MissingParameterValue`.
    See Also:
      - "ISO 19142:2010, cl. 7.5: Exception reporting"
      - "OGC 06-121r3, cl. 8: Exception reports"
      - "OGC 06-121r3, cl. A.4.1.5: HTTP response status code"

  - ### getFullCapabilities

    public void getFullCapabilities()
    A minimally valid GetCapabilities request must produce a complete representation of the service capabilities document. The content of the document must correspond to the "Simple WFS" conformance level.
    See Also:
      - "OGC 06-121r3, cl. 7.2: GetCapabilities request"

  - ### getCapabilities_acceptVersions

    public void getCapabilities_acceptVersions(ProtocolBinding binding)
    Acceptable versions of the capabilities document are specified in order of preference (10.0.0, 2.0.0, 1.1.0). The response document must conform to the first version number that the SUT supports. All WFS implementations must be able to perform rudimentary version negotiation in this manner.
    Parameters:
      `binding` - The ProtocolBinding to use.
    See Also:
      - "OGC 06-121r3, cl. 7.2: GetCapabilities request"
      - "OGC 06-121r3, cl. 7.3.2: Version negotiation"